---
description: 'lisa@axonterminal.io | emlisa#3162 (discord) | +1 (971) 317-9338'
---

# About Me

![](.gitbook/assets/img_20210910_055425_282.jpg)

Freelance Linux HPC, GPGPU, and build systems hacker looking for interesting contract work.

**Hi, I'm Lisanna!** I solve hard problems that enable others to do their best work. I love thinking about extremely difficult scaling problems, DevOps and continuous integration, shift-left strategies for pre-silicon development, applied formal verification and continuous reasoning, high-bandwidth low-latency networking, and compute accelerators.

Examples of my work:

* **Fixed libpsm2's** [**IPS Active Messaging \(AM\) pool size arithmetic**](https://github.com/cornelisnetworks/opa-psm2/blob/6e0231074111ff1fda0b2de1765e1988fda2e9c9/ptl_ips/ips_proto_am.c#L91-L137)**, resolving protocol deadlocks in high message volume scenarios.**
* **Co-invented a** [**flow control deadlock recovery method**](https://patentimages.storage.googleapis.com/04/d6/dc/92a5f0ef817239/US20190044872A1.pdf) **with potential applications in exascale computing.**
* **Successfully debugged message crediting and rendezvous protocol defects in pre-silicon builds of the** [**Intel Omni-Path**](https://en.wikipedia.org/wiki/Omni-Path) **200 HFI adapter.**
* **Developed a novel strategy for fast, deterministic testing of host software in non-deterministic environments like pre-silicon** [**simulation**](https://www.windriver.com/products/simics) **and** [**emulation**](https://www.synopsys.com/verification/emulation.html) **runtimes.**
* **Wrote a** [**helm chart**](https://github.com/GaloisInc/cryptol/pull/999) **and added** [**TLS support**](https://github.com/GaloisInc/cryptol/pull/1203) **to cryptol-remote-api.**

Problems I'm working on:

* **Incremental build and hassle-free dependency management strategies for large** [**Cabal**](https://www.haskell.org/cabal/) **projects like** [**SAWScript**](https://github.com/GaloisInc/saw-script/)**.**
* \*\*\*\*[**Repackaging common theorem provers and solvers**](https://github.com/serial-garden/solvers) **to make them more accessible for applied formal verification.**
* **Directly building raw** [**Nix derivations**](https://nixos.org/manual/nix/unstable/expressions/derivations.html) **\(.drv\) with general-purpose build systems like** [**Bazel**](https://bazel.build/) **and** [**BuildKit**](https://github.com/moby/buildkit) **without depending on Nix's** [**bespoke sandbox implementation**](https://github.com/NixOS/nix/blob/1e43bc6dc0a88be0ea6057bdebf281d25ffd962d/src/libstore/build/local-derivation-goal.cc#L1529)**.**

{% file src=".gitbook/assets/resume.pdf" caption="Download resume" %}

